Package org.jboss.resteasy.core.interception.jaxrs

## Class AbstractReaderInterceptorContext

- java.lang.Object
- - org.jboss.resteasy.core.interception.jaxrs.AbstractReaderInterceptorContext

- All Implemented Interfaces:
    `javax.ws.rs.ext.InterceptorContext`, `javax.ws.rs.ext.ReaderInterceptorContext`
  Direct Known Subclasses:
    `ClientReaderInterceptorContext`, `ServerReaderInterceptorContext`

      public abstract class AbstractReaderInterceptorContext
      extends Object
      implements javax.ws.rs.ext.ReaderInterceptorContext

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Annotation[]` | `annotations` |
    `protected Type` | `genericType` |
    `protected javax.ws.rs.core.MultivaluedMap<String,​String>` | `headers` |
    `protected int` | `index` |
    `protected InputStream` | `inputStream` |
    `protected javax.ws.rs.ext.ReaderInterceptor[]` | `interceptors` |
    `protected javax.ws.rs.core.MediaType` | `mediaType` |
    `protected ResteasyProviderFactory` | `providerFactory` |
    `protected RESTEasyTracingLogger` | `tracingLogger` |
    `protected Class` | `type` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractReaderInterceptorContext​(javax.ws.rs.core.MediaType mediaType, ResteasyProviderFactory providerFactory, Annotation[] annotations, javax.ws.rs.ext.ReaderInterceptor[] interceptors, javax.ws.rs.core.MultivaluedMap<String,​String> headers, Type genericType, Class type, InputStream inputStream)` | Deprecated.
    `AbstractReaderInterceptorContext​(javax.ws.rs.core.MediaType mediaType, ResteasyProviderFactory providerFactory, Annotation[] annotations, javax.ws.rs.ext.ReaderInterceptor[] interceptors, javax.ws.rs.core.MultivaluedMap<String,​String> headers, Type genericType, Class type, InputStream inputStream, RESTEasyTracingLogger logger)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Annotation[]` | `getAnnotations()` |
    `Type` | `getGenericType()` |
    `javax.ws.rs.core.MultivaluedMap<String,​String>` | `getHeaders()` |
    `InputStream` | `getInputStream()` |
    `javax.ws.rs.core.MediaType` | `getMediaType()` |
    `Object` | `getProcessedInterceptorCount()` |
    `protected javax.ws.rs.ext.MessageBodyReader` | `getReader()` |
    `Class` | `getType()` |
    `Object` | `proceed()` |
    `protected Object` | `readFrom​(javax.ws.rs.ext.MessageBodyReader reader)` |
    `protected abstract javax.ws.rs.ext.MessageBodyReader` | `resolveReader​(javax.ws.rs.core.MediaType mediaType)` |
    `void` | `setAnnotations​(Annotation[] annotations)` |
    `void` | `setGenericType​(Type genericType)` |
    `void` | `setInputStream​(InputStream is)` |
    `void` | `setMediaType​(javax.ws.rs.core.MediaType mediaType)` |
    `void` | `setType​(Class type)` |
    `protected abstract void` | `throwReaderNotFound()` |
    `protected void` | `traceAfter​(javax.ws.rs.ext.ReaderInterceptor interceptor)` |
    `protected void` | `traceBefore​(javax.ws.rs.ext.ReaderInterceptor interceptor)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.ws.rs.ext.InterceptorContext

      `getProperty, getPropertyNames, removeProperty, setProperty`

- - ### Field Detail

    - #### tracingLogger

          protected RESTEasyTracingLogger tracingLogger

    - #### interceptors

          protected javax.ws.rs.ext.ReaderInterceptor[] interceptors

    - #### providerFactory

          protected ResteasyProviderFactory providerFactory

    - #### type

          protected Class type

    - #### genericType

          protected Type genericType

    - #### annotations

          protected Annotation[] annotations

    - #### mediaType

          protected javax.ws.rs.core.MediaType mediaType

    - #### headers

          protected javax.ws.rs.core.MultivaluedMap<String,​String> headers

    - #### inputStream

          protected InputStream inputStream

    - #### index

          protected int index

  - ### Constructor Detail

    - #### AbstractReaderInterceptorContext

          @Deprecated
          public AbstractReaderInterceptorContext​(javax.ws.rs.core.MediaType mediaType,
                                                  ResteasyProviderFactory providerFactory,
                                                  Annotation[] annotations,
                                                  javax.ws.rs.ext.ReaderInterceptor[] interceptors,
                                                  javax.ws.rs.core.MultivaluedMap<String,​String> headers,
                                                  Type genericType,
                                                  Class type,
                                                  InputStream inputStream)

      Deprecated.

    - #### AbstractReaderInterceptorContext

          public AbstractReaderInterceptorContext​(javax.ws.rs.core.MediaType mediaType,
                                                  ResteasyProviderFactory providerFactory,
                                                  Annotation[] annotations,
                                                  javax.ws.rs.ext.ReaderInterceptor[] interceptors,
                                                  javax.ws.rs.core.MultivaluedMap<String,​String> headers,
                                                  Type genericType,
                                                  Class type,
                                                  InputStream inputStream,
                                                  RESTEasyTracingLogger logger)

  - ### Method Detail

    - #### proceed

          public Object proceed()
                         throws IOException

      Specified by:
        `proceed` in interface `javax.ws.rs.ext.ReaderInterceptorContext`
      Throws:
        `IOException`

    - #### readFrom

          protected Object readFrom​(javax.ws.rs.ext.MessageBodyReader reader)
                             throws IOException

      Throws:
        `IOException`

    - #### traceBefore

          protected final void traceBefore​(javax.ws.rs.ext.ReaderInterceptor interceptor)

    - #### traceAfter

          protected final void traceAfter​(javax.ws.rs.ext.ReaderInterceptor interceptor)

    - #### getReader

          protected javax.ws.rs.ext.MessageBodyReader getReader()

    - #### resolveReader

          protected abstract javax.ws.rs.ext.MessageBodyReader resolveReader​(javax.ws.rs.core.MediaType mediaType)

    - #### throwReaderNotFound

          protected abstract void throwReaderNotFound()

    - #### getInputStream

          public InputStream getInputStream()

      Specified by:
        `getInputStream` in interface `javax.ws.rs.ext.ReaderInterceptorContext`

    - #### setInputStream

          public void setInputStream​(InputStream is)

      Specified by:
        `setInputStream` in interface `javax.ws.rs.ext.ReaderInterceptorContext`

    - #### getHeaders

          public javax.ws.rs.core.MultivaluedMap<String,​String> getHeaders()

      Specified by:
        `getHeaders` in interface `javax.ws.rs.ext.ReaderInterceptorContext`

    - #### getAnnotations

          public Annotation[] getAnnotations()

      Specified by:
        `getAnnotations` in interface `javax.ws.rs.ext.InterceptorContext`

    - #### setAnnotations

          public void setAnnotations​(Annotation[] annotations)

      Specified by:
        `setAnnotations` in interface `javax.ws.rs.ext.InterceptorContext`

    - #### getType

          public Class getType()

      Specified by:
        `getType` in interface `javax.ws.rs.ext.InterceptorContext`

    - #### setType

          public void setType​(Class type)

      Specified by:
        `setType` in interface `javax.ws.rs.ext.InterceptorContext`

    - #### getGenericType

          public Type getGenericType()

      Specified by:
        `getGenericType` in interface `javax.ws.rs.ext.InterceptorContext`

    - #### setGenericType

          public void setGenericType​(Type genericType)

      Specified by:
        `setGenericType` in interface `javax.ws.rs.ext.InterceptorContext`

    - #### getMediaType

          public javax.ws.rs.core.MediaType getMediaType()

      Specified by:
        `getMediaType` in interface `javax.ws.rs.ext.InterceptorContext`

    - #### setMediaType

          public void setMediaType​(javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `setMediaType` in interface `javax.ws.rs.ext.InterceptorContext`

    - #### getProcessedInterceptorCount

          public Object getProcessedInterceptorCount()